Skip to content

GET /collections/:id

Rest API Reference for GET /collections/:id.

Get a collection by its ID.

curl -X GET "https://www.lateral-robotics.com/api/v1/collections/123" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json"
Response
{
"id": "019decb5-bacd-7032-a444-d27d03e458b6",
"type": "collection",
"title": "Portal Collection 019decb5-bacd-7032-a444-d27d03e458b6",
"description": "This is a description of the Portal Collection 019decb5-bacd-7032-a444-d27d03e458b6",
"license": "MIT",
"keywords": ["data", "metadata"],
"extent": {
"spatial": {
"bbox": [[-122.4194, 37.7749, -122.4009, 37.7892]]
},
"temporal": {
"interval": [["2026-01-01T08:00:00Z", null]]
}
},
"links": [
{
"href": "https://www.lateral-robotics.com/portal/collections/019decb5-bacd-7032-a444-d27d03e458b6",
"rel": "self",
"type": "application/json"
}
],
}